/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2006 Smithsonian Astrophysical Observatory
 *
 * This file is part of bp2fr
 *
 * bp2fr is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * bp2fr is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the 
 *       Free Software Foundation, Inc. 
 *       51 Franklin Street, Fifth Floor
 *       Boston, MA  02110-1301, USA
 *
 * -->8-->8-->8-->8-- */

#include <tparam/tparam.h>
#include <tracefct/tracefct.h>

#include <suplib/debug.h>

#include "main.h"

void
gparam(int argc, char *argv[], Global *g)
{
  paramfile pf;

  tf_enter("gparam");

  pf = tparamopen(NULL, argv, argc, "r");

  /* get debug flags */
  tpgetstr(pf, "debug", g->debug, NAME_LENGTH, 0);
  debug_init(g->debug);

  /* get input file */
  tpgetstr(pf, "input", g->input, NAME_LENGTH, 1);

  /* get output file */
  tpgetstr(pf, "output", g->output, NAME_LENGTH, 1);
  
  /* get version */  
  g->version = tpgetb( pf, "version" );
  g->help = tpgetb( pf, "help" );
  
   paramclose(pf);
  
  tf_leave();
}
